import 'dart:io';
import 'option.dart';

class Terminal {
  const Terminal();
  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  // printOptions(Map<String, Option> options) {
  //   options.forEach((key, value) {
  //     print(key);
  //     print(value);
  //   });

  //Map<String, dynamic>
  // Map<int, Option> data = options.asMap();
  // List<int> something = data.keys.toList();

  //for (var i = 0; i < options.length; i++) {}
  // stdout.writeln('enter choice\n');
  // stdout.write('>');

  printOptions(List<Option> options) {
    options.asMap().forEach((key, value) {
      stdout.writeln('[$key] --${value.label}');
    });

    stdout.writeln('enter choice\n');
    stdout.write('>');
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2j\x1B[0f');
    } else {
      stdout.write('\x1B[2j\x1B[3j\x1B[H');
    }
  }
}
